#
# spec file for package perl-Dist-Zilla-Plugin-Authority
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla-Plugin-Authority
Version:        1.009
Release:        1.1
%define cpan_name Dist-Zilla-Plugin-Authority
Summary:        Add the $AUTHORITY variable and metadata to your distribution
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla-Plugin-Authority/
Source:         http://www.cpan.org/authors/id/A/AP/APOCAL/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Dist::Zilla::Role::FileFinderUser) >= 4.102345
BuildRequires:  perl(Dist::Zilla::Role::FileMunger) >= 4.102345
BuildRequires:  perl(Dist::Zilla::Role::MetaProvider) >= 4.102345
BuildRequires:  perl(Dist::Zilla::Role::PPI) >= 4.300001
BuildRequires:  perl(Dist::Zilla::Util)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(Module::Build) >= 0.28
BuildRequires:  perl(Moose) >= 1.03
BuildRequires:  perl(Moose::Util::TypeConstraints) >= 1.01
BuildRequires:  perl(PPI) >= 1.206
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Dist::Zilla::Role::FileFinderUser) >= 4.102345
Requires:       perl(Dist::Zilla::Role::FileMunger) >= 4.102345
Requires:       perl(Dist::Zilla::Role::MetaProvider) >= 4.102345
Requires:       perl(Dist::Zilla::Role::PPI) >= 4.300001
Requires:       perl(Dist::Zilla::Util)
Requires:       perl(File::HomeDir)
Requires:       perl(Moose) >= 1.03
Requires:       perl(Moose::Util::TypeConstraints) >= 1.01
Requires:       perl(PPI) >= 1.206
%{perl_requires}

%description
This plugin adds the authority data to your distribution. It adds the data
to your modules and metadata. Normally it looks for the PAUSE author id in
your the Dist::Zilla manpage configuration. If you want to override it,
please use the 'authority' attribute.

	# In your dist.ini:
	[Authority]

This code will be added to any package declarations in your perl files:

	our $AUTHORITY = 'cpan:APOCAL';

Your metadata ( META.yml or META.json ) will have an entry looking like
this:

	x_authority => 'cpan:APOCAL'

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc AUTHOR_PLEDGE Changes CommitLog doap.xml examples LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.009
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-Authority/Changes
* Fri Apr 15 2011 coolo@opensuse.org
- updated to 1.005
    Added locate_comment which finds a # AUTHORITY comment and puts authority there ( thanks NIGELM! )
    Tweak the authority regex to be a bit more liberal ( thanks RWSTAUNER! )
    Tweaked the ABSTRACT section ( thanks FLORA + GETTY )
    Add ability to read from ~/.pause file for the authority ( thanks WOLVERIAN )
* Fri Jan 21 2011 coolo@novell.com
- initial package 1.002
  * created by cpanspec 1.78.03
